emails not being sent
Status: Closed Start date: 04/29/2018
Priority: High Due date:

Assignee: Woozle Hypertwin % Done: 100%
Description

After a user failed to receive a password-reset email, | had the @news account request a password reset. The email was never
received.

Postfix and Dovecot are not installed. | think Mastodon should be able to send emails without them, using the relay on cloud5, but
maybe installing them would be useful in general.

Also, make sure Mastodon is configured properly to send email. We've had new accounts since the migration, though, so it must
have been working at some point. Maybe email on cloud5 is down?

History

#1 - 04/30/2018 01:17 AM - Woozle Hypertwin
- % Done changed from 0 to 10

The problem seems to be that Postfix on project:cloud5 isn't accepting IPv6 connections. | don't see anything in the config that would cause this.

Hopefully this page will be able to enlighten me: http://www.postfix.org/IPV6_README.html

...but for now, it's bedtime.

#2 - 04/30/2018 11:23 PM - Woozle Hypertwin

- Status changed from New to In Progress

There are now two ends to this; I've abandoned one -- trying to get Postfix@cloud5 to respond on IPv6 -- and have been focusing on getting the
Mastodon emailer on tootcat to send via IPv4 only.

The most recent attempt was setting up a relay account on cloud3, which only has IPv4 access (and only IPv4 host records) and using that instead of
cloud5's relay -- but although telnet cloud3.hypertwins.net 587 results in an instant connection via IPv4 (where telnet cloud5.hypertwins.net 587
results in a time-out trying to connect via IPv6), notification emails are still not coming through.
What | have been unable to find is:

1. Any diagnostics-rich method of generating a test email

2. Any way of viewing a log of attempts to send emails (preferably with diagnostic information including IP address of SMTP server)
3. Any way of restricting Mastodon to using IPv4 instead of IPv6, other than hard-coding an IP address or using a domain with no AAAA record

03/13/2024 12



http://www.postfix.org/IPV6_README.html

#3 - 05/03/2018 01:12 AM - Woozle Hypertwin
https://github.com/tootsuite/mastodon/issues/7323

My instance suddenly stopped sending emails about a week ago, and | don't know why. I've tried 2 different SMTP servers; both work when | use
them to send email from Thunderbird, both respond to hails on the appropriate port when | connect from Mastodon's server via telnet, but mail doesn't
come through from Mastodon regardless.

What | mainly need is some way to get more diagnostic information out of Mastodon.

e | get that the mastodon-web service logs are accessed with "journalctl -u mastodon-web" -- but this doesn't show where the email was being
sent or even whether it was successful.

¢ Where is there a log file or queue which shows email subject, destination address, and (especially) whether successful or not, and any

associated error messages?

Is there a command to interactively send a test email, so you can get status information directly as the attempt is being made?

Can Mastodon be configured to send email without needing SMTP relay server credentials (the way MediaWiki and most PHP apps do, using

the PHP mail() function)?

What file and line of Ruby code is where the email is actually sent? (I don't know Ruby yet, but am willing to learn in order to fix this problem. I'l

write my own email logging code if there really aren't any other options.)

Thanks in advance for any help with this.

#4 - 05/03/2018 11:45 PM - Woozle Hypertwin
- Status changed from In Progress to Closed

- % Done changed from 10 to 100

See HTYP for solution.
